package com.inspect.job.domain.livesipb;

public class Stream {
   private String AudioEnable;
   private String CDN;
   private String CascadeSize;
   private String ChannelCustomName;
   private String ChannelID;
   private String ChannelName;
   private String ChannelPTZType;
   private String CloudRecord;
   private String DeviceID;
   private String Duration;
   private String FLV;
   private String HLS;
   private String InBitRate;
   private String InBytes;
   private String NumOutputs;
   private String Ondemand;
   private String OutBytes;
   private String RTMP;
   private String RTPCount;
   private String RTPLostCount;
   private String RTPLostRate;
   private String RTSP;
   private String RecordStartAt;
   private String RelaySize;
   private String SMSID;
   private String SnapURL;
   private String SourceAudioCodecName;
   private String SourceAudioSampleRate;
   private String SourceVideoCodecName;
   private String SourceVideoFrameRate;
   private String SourceVideoHeight;
   private String SourceVideoWidth;
   private String StartAt;
   private String StreamID;
   private String Transport;
   private String VideoFrameCount;
   private String WEBRTC;
   private String WS_FLV;

   public String getAudioEnable() {
      return this.AudioEnable;
   }

   public void setAudioEnable(String audioEnable) {
      this.AudioEnable = audioEnable;
   }

   public String getCDN() {
      return this.CDN;
   }

   public void setCDN(String CDN) {
      this.CDN = CDN;
   }

   public String getCascadeSize() {
      return this.CascadeSize;
   }

   public void setCascadeSize(String cascadeSize) {
      this.CascadeSize = cascadeSize;
   }

   public String getChannelCustomName() {
      return this.ChannelCustomName;
   }

   public void setChannelCustomName(String channelCustomName) {
      this.ChannelCustomName = channelCustomName;
   }

   public String getChannelID() {
      return this.ChannelID;
   }

   public void setChannelID(String channelID) {
      this.ChannelID = channelID;
   }

   public String getChannelName() {
      return this.ChannelName;
   }

   public void setChannelName(String channelName) {
      this.ChannelName = channelName;
   }

   public String getChannelPTZType() {
      return this.ChannelPTZType;
   }

   public void setChannelPTZType(String channelPTZType) {
      this.ChannelPTZType = channelPTZType;
   }

   public String getCloudRecord() {
      return this.CloudRecord;
   }

   public void setCloudRecord(String cloudRecord) {
      this.CloudRecord = cloudRecord;
   }

   public String getDeviceID() {
      return this.DeviceID;
   }

   public void setDeviceID(String deviceID) {
      this.DeviceID = deviceID;
   }

   public String getDuration() {
      return this.Duration;
   }

   public void setDuration(String duration) {
      this.Duration = duration;
   }

   public String getFLV() {
      return this.FLV;
   }

   public void setFLV(String FLV) {
      this.FLV = FLV;
   }

   public String getHLS() {
      return this.HLS;
   }

   public void setHLS(String HLS) {
      this.HLS = HLS;
   }

   public String getInBitRate() {
      return this.InBitRate;
   }

   public void setInBitRate(String inBitRate) {
      this.InBitRate = inBitRate;
   }

   public String getInBytes() {
      return this.InBytes;
   }

   public void setInBytes(String inBytes) {
      this.InBytes = inBytes;
   }

   public String getNumOutputs() {
      return this.NumOutputs;
   }

   public void setNumOutputs(String numOutputs) {
      this.NumOutputs = numOutputs;
   }

   public String getOndemand() {
      return this.Ondemand;
   }

   public void setOndemand(String ondemand) {
      this.Ondemand = ondemand;
   }

   public String getOutBytes() {
      return this.OutBytes;
   }

   public void setOutBytes(String outBytes) {
      this.OutBytes = outBytes;
   }

   public String getRTMP() {
      return this.RTMP;
   }

   public void setRTMP(String RTMP) {
      this.RTMP = RTMP;
   }

   public String getRTPCount() {
      return this.RTPCount;
   }

   public void setRTPCount(String RTPCount) {
      this.RTPCount = RTPCount;
   }

   public String getRTPLostCount() {
      return this.RTPLostCount;
   }

   public void setRTPLostCount(String RTPLostCount) {
      this.RTPLostCount = RTPLostCount;
   }

   public String getRTPLostRate() {
      return this.RTPLostRate;
   }

   public void setRTPLostRate(String RTPLostRate) {
      this.RTPLostRate = RTPLostRate;
   }

   public String getRTSP() {
      return this.RTSP;
   }

   public void setRTSP(String RTSP) {
      this.RTSP = RTSP;
   }

   public String getRecordStartAt() {
      return this.RecordStartAt;
   }

   public void setRecordStartAt(String recordStartAt) {
      this.RecordStartAt = recordStartAt;
   }

   public String getRelaySize() {
      return this.RelaySize;
   }

   public void setRelaySize(String relaySize) {
      this.RelaySize = relaySize;
   }

   public String getSMSID() {
      return this.SMSID;
   }

   public void setSMSID(String SMSID) {
      this.SMSID = SMSID;
   }

   public String getSnapURL() {
      return this.SnapURL;
   }

   public void setSnapURL(String snapURL) {
      this.SnapURL = snapURL;
   }

   public String getSourceAudioCodecName() {
      return this.SourceAudioCodecName;
   }

   public void setSourceAudioCodecName(String sourceAudioCodecName) {
      this.SourceAudioCodecName = sourceAudioCodecName;
   }

   public String getSourceAudioSampleRate() {
      return this.SourceAudioSampleRate;
   }

   public void setSourceAudioSampleRate(String sourceAudioSampleRate) {
      this.SourceAudioSampleRate = sourceAudioSampleRate;
   }

   public String getSourceVideoCodecName() {
      return this.SourceVideoCodecName;
   }

   public void setSourceVideoCodecName(String sourceVideoCodecName) {
      this.SourceVideoCodecName = sourceVideoCodecName;
   }

   public String getSourceVideoFrameRate() {
      return this.SourceVideoFrameRate;
   }

   public void setSourceVideoFrameRate(String sourceVideoFrameRate) {
      this.SourceVideoFrameRate = sourceVideoFrameRate;
   }

   public String getSourceVideoHeight() {
      return this.SourceVideoHeight;
   }

   public void setSourceVideoHeight(String sourceVideoHeight) {
      this.SourceVideoHeight = sourceVideoHeight;
   }

   public String getSourceVideoWidth() {
      return this.SourceVideoWidth;
   }

   public void setSourceVideoWidth(String sourceVideoWidth) {
      this.SourceVideoWidth = sourceVideoWidth;
   }

   public String getStartAt() {
      return this.StartAt;
   }

   public void setStartAt(String startAt) {
      this.StartAt = startAt;
   }

   public String getStreamID() {
      return this.StreamID;
   }

   public void setStreamID(String streamID) {
      this.StreamID = streamID;
   }

   public String getTransport() {
      return this.Transport;
   }

   public void setTransport(String transport) {
      this.Transport = transport;
   }

   public String getVideoFrameCount() {
      return this.VideoFrameCount;
   }

   public void setVideoFrameCount(String videoFrameCount) {
      this.VideoFrameCount = videoFrameCount;
   }

   public String getWEBRTC() {
      return this.WEBRTC;
   }

   public void setWEBRTC(String WEBRTC) {
      this.WEBRTC = WEBRTC;
   }

   public String getWS_FLV() {
      return this.WS_FLV;
   }

   public void setWS_FLV(String WS_FLV) {
      this.WS_FLV = WS_FLV;
   }

   public String toString() {
      return "Stream{AudioEnable='" + this.AudioEnable + '\'' + ", CDN='" + this.CDN + '\'' + ", CascadeSize='" + this.CascadeSize + '\'' + ", ChannelCustomName='" + this.ChannelCustomName + '\'' + ", ChannelID='" + this.ChannelID + '\'' + ", ChannelName='" + this.ChannelName + '\'' + ", ChannelPTZType='" + this.ChannelPTZType + '\'' + ", CloudRecord='" + this.CloudRecord + '\'' + ", DeviceID='" + this.DeviceID + '\'' + ", Duration='" + this.Duration + '\'' + ", FLV='" + this.FLV + '\'' + ", HLS='" + this.HLS + '\'' + ", InBitRate='" + this.InBitRate + '\'' + ", InBytes='" + this.InBytes + '\'' + ", NumOutputs='" + this.NumOutputs + '\'' + ", Ondemand='" + this.Ondemand + '\'' + ", OutBytes='" + this.OutBytes + '\'' + ", RTMP='" + this.RTMP + '\'' + ", RTPCount='" + this.RTPCount + '\'' + ", RTPLostCount='" + this.RTPLostCount + '\'' + ", RTPLostRate='" + this.RTPLostRate + '\'' + ", RTSP='" + this.RTSP + '\'' + ", RecordStartAt='" + this.RecordStartAt + '\'' + ", RelaySize='" + this.RelaySize + '\'' + ", SMSID='" + this.SMSID + '\'' + ", SnapURL='" + this.SnapURL + '\'' + ", SourceAudioCodecName='" + this.SourceAudioCodecName + '\'' + ", SourceAudioSampleRate='" + this.SourceAudioSampleRate + '\'' + ", SourceVideoCodecName='" + this.SourceVideoCodecName + '\'' + ", SourceVideoFrameRate='" + this.SourceVideoFrameRate + '\'' + ", SourceVideoHeight='" + this.SourceVideoHeight + '\'' + ", SourceVideoWidth='" + this.SourceVideoWidth + '\'' + ", StartAt='" + this.StartAt + '\'' + ", StreamID='" + this.StreamID + '\'' + ", Transport='" + this.Transport + '\'' + ", VideoFrameCount='" + this.VideoFrameCount + '\'' + ", WEBRTC='" + this.WEBRTC + '\'' + ", WS_FLV='" + this.WS_FLV + '\'' + '}';
   }
}
